%global site_name org.apache.felix.utils
%global grp_name  felix

Name:             felix-utils
Version:          1.1.0
Release:          %mkrel 5
Summary:          Utility classes for OSGi
License:          ASL 2.0
Group:            Development/Java
URL:              http://felix.apache.org

Source0:          http://www.fightrice.com/mirrors/apache/felix/%{site_name}-%{version}-project.tar.gz

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    jpackage-utils
BuildRequires:    felix-osgi-compendium
BuildRequires:    maven-surefire-provider-junit4

Requires:         jpackage-utils
Requires:         java
Requires:         felix-osgi-compendium
Requires:         felix-osgi-core

%description
Utility classes for OSGi

%package javadoc
Summary:          API documentation for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{site_name}-%{version}

%build
# one of the tests fails in mock (local build is ok)
mvn-rpmbuild install javadoc:aggregate -Dmaven.test.failure.ignore=true

%install
# jars
install -Dpm 644 target/%{site_name}-%{version}.jar %{buildroot}%{_javadir}/%{grp_name}/%{name}.jar

# pom
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{grp_name}-%{name}.pom

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%add_maven_depmap JPP.%{grp_name}-%{name}.pom %{grp_name}/%{name}.jar

%files
%doc LICENSE NOTICE DEPENDENCIES
%{_javadir}/%{grp_name}/%{name}.jar
%{_mavenpomdir}/JPP.%{grp_name}-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE NOTICE
%doc %{_javadocdir}/%{name}



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.1.0-5.mga3
+ Revision: 350186
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 dmorgan <dmorgan> 1.1.0-4.mga3
+ Revision: 293348
- Clean spec file

* Fri Dec 23 2011 gil <gil> 1.1.0-3.mga2
+ Revision: 186543
- used felix-utils-1.1.0-pom.patch
- used felix-utils-1.1.0-pom.patch

* Fri Dec 23 2011 dmorgan <dmorgan> 1.1.0-2.mga2
+ Revision: 186280
- Sync with fedora

* Tue Nov 01 2011 gil <gil> 1.1.0-1.mga2
+ Revision: 160743
- imported package felix-utils

